import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { ContinueDeploymentInput } from "../models/models_0";
export { __MetadataBearer };
export interface ContinueDeploymentCommandInput
  extends ContinueDeploymentInput {}
export interface ContinueDeploymentCommandOutput extends __MetadataBearer {}
declare const ContinueDeploymentCommand_base: {
  new (
    input: ContinueDeploymentCommandInput
  ): import("@smithy/core/client").CommandImpl<
    ContinueDeploymentCommandInput,
    ContinueDeploymentCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ContinueDeploymentCommandInput]
  ): import("@smithy/core/client").CommandImpl<
    ContinueDeploymentCommandInput,
    ContinueDeploymentCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class ContinueDeploymentCommand extends ContinueDeploymentCommand_base {
  protected static __types: {
    api: {
      input: ContinueDeploymentInput;
      output: {};
    };
    sdk: {
      input: ContinueDeploymentCommandInput;
      output: ContinueDeploymentCommandOutput;
    };
  };
}
